package com.ruoyi.bar.mapper;

import java.util.List;

import com.ruoyi.bar.domain.ActivityJoined;
import com.ruoyi.bar.domain.BarScanCount;
import com.ruoyi.bar.domain.BatchJoined;
import com.ruoyi.bar.domain.WyBeerQrcodeScanLog;

/**
 * 酒品二维码扫码记录Mapper接口
 * 
 * @author kxl
 * @date 2025-01-27
 */
public interface WyBeerQrcodeScanLogMapper 
{
    /**
     * 查询酒品二维码扫码记录
     * 
     * @param id 酒品二维码扫码记录主键
     * @return 酒品二维码扫码记录
     */
    public WyBeerQrcodeScanLog selectWyBeerQrcodeScanLogById(Long id);
    public List<ActivityJoined> selectActivityByBarId(Long barId);
    public List<BarScanCount> selectBarScanCount(WyBeerQrcodeScanLog wyBeerQrcodeScanLog);
    public BatchJoined selectActivityByBatchId(Long batchId);
    public Integer selectWyBeerQrcodeScanCount(WyBeerQrcodeScanLog wyBeerQrcodeScanLog);
    //参与活动的门店数
    public Integer selectWyBeerQrcodeBarCount(WyBeerQrcodeScanLog wyBeerQrcodeScanLog);

    /**
     * 查询酒品二维码扫码记录列表
     * 
     * @param wyBeerQrcodeScanLog 酒品二维码扫码记录
     * @return 酒品二维码扫码记录集合
     */
    public List<WyBeerQrcodeScanLog> selectWyBeerQrcodeScanLogList(WyBeerQrcodeScanLog wyBeerQrcodeScanLog);

    /**
     * 新增酒品二维码扫码记录
     * 
     * @param wyBeerQrcodeScanLog 酒品二维码扫码记录
     * @return 结果
     */
    public int insertWyBeerQrcodeScanLog(WyBeerQrcodeScanLog wyBeerQrcodeScanLog);

    /**
     * 修改酒品二维码扫码记录
     * 
     * @param wyBeerQrcodeScanLog 酒品二维码扫码记录
     * @return 结果
     */
    public int updateWyBeerQrcodeScanLog(WyBeerQrcodeScanLog wyBeerQrcodeScanLog);

    /**
     * 删除酒品二维码扫码记录
     * 
     * @param id 酒品二维码扫码记录主键
     * @return 结果
     */
    public int deleteWyBeerQrcodeScanLogById(Long id);

    /**
     * 批量删除酒品二维码扫码记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWyBeerQrcodeScanLogByIds(Long[] ids);
}
